Package org.kapott.hbci.GV_Result

## Class GVRTermUebEdit

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRTermUebEdit

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public class GVRTermUebEdit
    extends HBCIJobResultImpl

Ergebnis der Änderung einer terminierten Überweisung. Ein geänderter Auftrag kann u.U. eine andere Auftrags-Identifikationsnummer erhalten als der ursprüngliche Auftrag. Die neue und optional die alte Auftrags-ID können mit dieser Klasse ermittelt werden.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRTermUebEdit()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getOrderId()` Gibt die Auftrags-Identifikationsnummer des geänderten Auftrages zurück.
`java.lang.String` `getOrderIdOld()` Gibt die Auftrags-Identifikationsnummer des ursprünglichen Dauerauftrages zurück.
`void` `setOrderId​(java.lang.String orderid)`
`void` `setOrderIdOld​(java.lang.String orderidold)`
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GVRTermUebEdit

    public GVRTermUebEdit()

### Method Detail

#### setOrderId

    public void setOrderId​(java.lang.String orderid)

#### setOrderIdOld

    public void setOrderIdOld​(java.lang.String orderidold)

#### getOrderId

    public java.lang.String getOrderId()

Gibt die Auftrags-Identifikationsnummer des geänderten Auftrages zurück.

Returns:
  neue Auftrags-ID

#### getOrderIdOld

    public java.lang.String getOrderIdOld()

Gibt die Auftrags-Identifikationsnummer des ursprünglichen Dauerauftrages zurück.

Returns:
  alte Auftrags-ID oder `null`, wenn diese nicht von der Bank bereitgestellt wird

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`